---
before_script:
  - mkdir -p ~/.ssh
  - echo "$SSH_PRIVATE_KEY" >> "key.pem"
  - chmod 600 key.pem
  - ssh -T -i key.pem -o StrictHostKeyChecking=no ubuntu@ec2-13-239-180-63.ap-southeast-2.compute.amazonaws.com <<EOF
master_stage:
    stage: deploy
    environment: Deploy
    only:
        - master
    script:
        - cd /var/www/html/tgc/tgcproject
        - git fetch --all
        - git checkout
        - git pull origin master